### AUTOUPDATE-OFF: 1
%define majver %(echo %version | cut -d. -f1-2)
Name:          granite
Version:       6.1.1
Release:       1mamba
Summary:       An extension to GTK that provides several useful widgets and classes for Graphical User Interfaces
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://launchpad.net/granite
Source:        https://github.com/elementary/granite.git/%{version}/granite-%{version}.tar.bz2
#Source:        https://launchpad.net/granite/%{majver}/%{version}/+download/granite-%{version}.tar.xz
#Source:        https://launchpad.net/granite/%{majver}/loki-alpha1/+download/granite-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcairo-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libgee-devel
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
BuildRequires: libpango-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildConflicts: libgranite <= 0.3.1

%description
Granite is an extension to GTK. Among other things, it provides several useful widgets for Graphical User Interfaces and classes that ease desktop applications development.

%package -n lib%{name}
Group:         System/Libraries
Summary:       An extension to GTK that provides several useful widgets and classes for Graphical User Interfaces

%description -n lib%{name}
Granite is an extension to GTK. Among other things, it provides several useful widgets for Graphical User Interfaces and classes that ease desktop applications development.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name} -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libgranite.so.*
%{_libdir}/girepository-1.0/Granite-1.0.typelib
%{_datadir}/applications/io.elementary.granite.demo.desktop
%{_datadir}/metainfo/granite.appdata.xml
%{_datadir}/icons/hicolor/*/actions/appointment.svg
%{_datadir}/icons/hicolor/*/actions/open-menu.svg
%{_datadir}/icons/hicolor/scalable/actions/open-menu-symbolic.svg
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_bindir}/granite-demo
%dir %{_includedir}/granite
%{_includedir}/granite/granite.h
#%{_includedir}/granite/widgets-utils.h
%{_libdir}/libgranite.so
%{_libdir}/pkgconfig/granite.pc
%{_datadir}/gir-1.0/Granite-1.0.gir
%{_datadir}/vala/vapi/granite.deps
%{_datadir}/vala/vapi/granite.vapi

%changelog
* Fri Aug 27 2021 Automatic Build System <autodist@mambasoft.it> 6.1.1-1mamba
- automatic version update by autodist

* Thu Jul 15 2021 Automatic Build System <autodist@mambasoft.it> 6.1.0-1mamba
- automatic version update by autodist

* Sat Mar 27 2021 Automatic Build System <autodist@mambasoft.it> 6.0.0-1mamba
- automatic version update by autodist

* Sat Jul 04 2020 Automatic Build System <autodist@mambasoft.it> 5.5.0-1mamba
- automatic version update by autodist

* Tue May 05 2020 Automatic Build System <autodist@mambasoft.it> 5.4.0-1mamba
- automatic version update by autodist

* Sat Apr 04 2020 Automatic Build System <autodist@mambasoft.it> 5.3.1-1mamba
- automatic version update by autodist

* Mon Dec 23 2019 Automatic Build System <autodist@mambasoft.it> 5.3.0-1mamba
- automatic version update by autodist

* Mon Sep 16 2019 Automatic Build System <autodist@mambasoft.it> 5.2.5-1mamba
- automatic version update by autodist

* Thu Aug 15 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 5.2.4-1mamba
- update to 5.2.4

* Sun Nov 19 2017 Automatic Build System <autodist@mambasoft.it> 0.5-1mamba
- automatic update by autodist

* Tue Aug 23 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.0.1-1mamba
- update to 0.4.0.1

* Sun Jul 31 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4-1mamba
- update to 0.4

* Tue Oct 06 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.1-1mamba
- update to 0.3.1

* Tue Jun 17 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.0-1mamba
- update to 0.3.0

* Wed Mar 26 2014 Automatic Build System <autodist@mambasoft.it> 0.2.3.1-1mamba
- automatic version update by autodist

* Sun Mar 02 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.3-1mamba
- update to 0.2.3

* Sat Nov 30 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.2-1mamba
- package created using the webbuild interface
